Merge pull request #46 from cjappl/master

Fixed readme and added fzf check to zsh to be the same as fish version

Former-commit-id: 697a80e413
This commit is contained in:
Wenxuan 2019-11-06 11:08:41 +08:00 committed by GitHub
commit 3dcafb7ace
3 changed files with 18 additions and 9 deletions

View file

@ -10,11 +10,19 @@
### Try Online
Run the following command in your shell to try `forgit` without installing(for both `bash` and `zsh`):
Run the following command in your shell to try `forgit` without installing:
##### Bash and ZSH
``` bash
source <(curl -Ss https://raw.githubusercontent.com/wfxr/forgit/master/forgit.plugin.zsh)
```
##### Fish
``` fish
source (curl -Ss https://raw.githubusercontent.com/wfxr/forgit/master/forgit.plugin.fish | psub)
```
### Installation using a ZSH Plugin manager
### [Zplug](https://github.com/zplug/zplug)
``` zsh
zplug 'wfxr/forgit'
@ -30,9 +38,9 @@ zgen load 'wfxr/forgit'
antigen bundle 'wfxr/forgit'
```
### Manually
### Manual Installation
Download and source `forgit.plugin.zsh` or `forgit.plugin.sh` in your shell config.
Download and source `forgit.plugin.zsh`, `forgit.plugin.sh`, or `forgit.plugin.fish` in your shell config.
## Commands

View file

@ -1,11 +1,6 @@
#!/usr/local/bin/fish
# MIT (c) Chris Apple
if not hash fzf > /dev/null 2>&1
echo "FZF not found and is requried for forgit"
exit 1
end
function forgit::warn
printf "%b[Warn]%b %s\n" '\e[0;33m' '\e[0m' "$argv" >&2;
end
@ -18,6 +13,11 @@ function forgit::inside_work_tree
git rev-parse --is-inside-work-tree >/dev/null;
end
if not hash fzf > /dev/null 2>&1
forgit::warn "FZF not found and is requried for forgit"
exit 1
end
# https://github.com/so-fancy/diff-so-fancy
hash diff-so-fancy >/dev/null 2>&1 && set forgit_fancy '|diff-so-fancy'
# https://github.com/wfxr/emoji-cli

View file

@ -1,9 +1,10 @@
# MIT (c) Wenxuan Zhang
forgit::warn() { printf "%b[Warn]%b %s\n" '\e[0;33m' '\e[0m' "$@" >&2; }
forgit::info() { printf "%b[Info]%b %s\n" '\e[0;32m' '\e[0m' "$@" >&2; }
forgit::inside_work_tree() { git rev-parse --is-inside-work-tree >/dev/null; }
hash fzf &>/dev/null || {forgit::warn "FZF not found and is requried for forgit" && return 1}
# https://github.com/so-fancy/diff-so-fancy
hash diff-so-fancy &>/dev/null && forgit_fancy='|diff-so-fancy'
# https://github.com/wfxr/emoji-cli